Bug 1635668 - Cassandra FTBFS with error ambiguous python shebang in /usr/bin/cqlsh
Summary: Cassandra FTBFS with error ambiguous python shebang in /usr/bin/cqlsh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cassandra
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jančo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-03 13:07 UTC by Jakub Jančo
Modified: 2018-11-02 19:21 UTC (History)
1 user (show)

Fixed In Version: cassandra-3.11.1-10.fc27 cassandra-3.11.1-10.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 17:10:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Jančo 2018-10-03 13:07:37 UTC
+ /usr/lib/rpm/redhat/brp-mangle-shebangs
...
*** ERROR: ambiguous python shebang in /usr/bin/cqlsh: #!/usr/bin/python. Change it to python3 (or python2) explicitly.
mangling shebang in /usr/bin/sstableutil from /bin/sh to #!/usr/bin/sh
mangling shebang in /usr/bin/sstablerepairedset from /bin/sh to #!/usr/bin/sh
mangling shebang in /usr/bin/sstablemetadata from /bin/sh to #!/usr/bin/sh
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.FGRTZ0 (%install)
    Bad exit status from /var/tmp/rpm-tmp.FGRTZ0 (%install)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 89, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 582, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.

Comment 1 Fedora Update System 2018-10-04 11:32:10 UTC
cassandra-3.11.1-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-705e42b25b

Comment 2 Fedora Update System 2018-10-04 11:32:21 UTC
cassandra-3.11.1-10.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1783bc8921

Comment 3 Fedora Update System 2018-10-05 18:06:24 UTC
cassandra-3.11.1-10.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1783bc8921

Comment 4 Fedora Update System 2018-10-05 19:31:03 UTC
cassandra-3.11.1-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-705e42b25b

Comment 5 Fedora Update System 2018-11-01 17:10:00 UTC
cassandra-3.11.1-10.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-11-02 19:21:50 UTC
cassandra-3.11.1-10.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.